<? include('checkcookie.php');
echo "<h3>Создание конкурса</h3>";

/*
1 - конкурс рефералов
2 - конкурс рекламодателей
*/

$free_users = mysql_num_rows(mysql_query("SELECT `id` FROM `b_users` WHERE `referer`=''"));

if(count($_POST) > 0){
$type = intval($_POST["type"]);
$startdate = strtotime($_POST["startdate"]);
$enddate = strtotime($_POST["enddate"]);
$minimal = floatval($_POST["minimal"]);

$mesto1 = intval($_POST["mesto1"]);
$price1 = round(floatval($_POST["price1"]),2);
$mesto2 = intval($_POST["mesto2"]);
$price2 = round(floatval($_POST["price2"]),2);
$mesto3 = intval($_POST["mesto3"]);
$price3 = round(floatval($_POST["price3"]),2);

$comp = mysql_num_rows(mysql_query("SELECT `id` FROM `b_comp` WHERE `startdate`>='$startdate' AND `enddate`<='$enddate' AND `type`='$type'"));

$all_free = 0;
if($mesto1 == 2) $all_free += $price1;
if($mesto2 == 2) $all_free += $price2;
if($mesto3 == 2) $all_free += $price3;

if($all_free > $free_users){
echo "<b style='color:#DD1313;'>Количество свободный пользователей меньше количества приза</b>";exit();
}elseif($type == '' OR $startdate == '' OR $enddate == '' OR $minimal == '' OR $mesto1 == '' OR $mesto2 == '' OR $mesto3 == '' OR $price1 == '' OR $price2 == '' OR $price3 == ''){
echo "<b style='color:#DD1313;'>Заполнены не все поля</b>";exit();
}elseif($comp > 0){
echo "<b style='color:#DD1313;'>Такой тип конкурса уже создан</b>";exit();
}elseif($startdate >= $enddate){
echo "<b style='color:#DD1313;'>Дата окончания конкурса должна быть больше старта</b>";exit();
}else{
mysql_query("INSERT INTO `b_comp` (`type`, `startdate`, `enddate`, `minimal`, `mesto1`, `price1`, `mesto2`, `price2`, `mesto3`, `price3`) values ('$type','$startdate','$enddate','$minimal','$mesto1','$price1','$mesto2','$price2','$mesto3','$price3')") or die(mysql_error());
echo "<b style='color:#6EAD2B;'>Конкурс успешно создан</b>";
}

}
?>
<link rel="stylesheet" href="css/ui.datepicker.css" type="text/css" media="screen" />
<form action="" method="post" style="margin-left: 10px; padding-left:10px">
<b>Тип конкурса:</b><br>
<select name="type">
<option value="1">Рефералов</option>
<option value="2">Рекламодателей</option>
<option value="3">Заданий</option>
</select><br><br>

<b>Дата старта конкурса (dd.mm.yyyy):</b><br>
<input type="text" value="" size="10" maxlength="10" name="startdate" id="startdate" readonly="readonly"><br><br>

<b>Дата окончания конкурса (dd.mm.yyyy):</b><br>
<input type="text" value="" size="10" maxlength="10" name="enddate" id="enddate" readonly="readonly"><br><br>

<b>Минимальное значение для участия в конкурсе:</b><br>
<input type="text" value="1" size="5" maxlength="5" name="minimal"><br><br>
<b style='color:#6EAD2B;'>Количество свободных рефералов: <?=$free_users?> шт.</b><br><br>
<b>Приз за 1-ое место:</b><br>
Тип приза: 
<select name="mesto1">
<option value="1">Деньги</option>
<option value="2">Рефералы</option>
</select> 
Размер приза: <input type="text" value="1" size="5" maxlength="5" name="price1"><br><br>

<b>Приз за 2-ое место:</b><br>
Тип приза: 
<select name="mesto2">
<option value="1">Деньги</option>
<option value="2">Рефералы</option>
</select> 
Размер приза: <input type="text" value="1" size="5" maxlength="5" name="price2"><br><br>

<b>Приз за 3-ое место:</b><br>
Тип приза: 
<select name="mesto3">
<option value="1">Деньги</option>
<option value="2">Рефералы</option>
</select> 
Размер приза: <input type="text" value="1" size="5" maxlength="5" name="price3"><br><br>
<input type="submit" value="Создать конкурс">
</form>
<script type="text/javascript" src="js/jquery_min.js" ></script>
<script type="text/javascript" src="js/jquery-ui-personalized-1.5.3.packed.js"></script>
<script type="text/javascript" src="js/ui.datepicker-ru.js"></script>
<script type="text/javascript">
var $d = jQuery.noConflict();
$d(document).ready(function() {
$d.datepicker.setDefaults($d.datepicker.regional['ru']);
$d("#startdate,#enddate").datepicker({
minDate: "0",
beforeShow: customRange,
yearRange: "<?php echo (DATE("Y")-1).":".(DATE("Y")+1);?>",
showOn: "both",
buttonImage: "images/calendar.jpg",
buttonImageOnly: true
});
});

function customRange(input) { return; }
</script>